https://www.docusign.com/v2.1/diagnostics/settingsEnables or disables API request logging for troubleshooting. When enabled (`apiRequestLogging` is **true**), REST API requests and responses for the user are added to a log. A log can have up to 50 requests/responses and the current number of log entries can be determined by getting the settings. Logging is automatically disabled when the log limit of 50 is reached. You can call Diagnostics: getRequestLog or Diagnostics: listRequestLogs to download the log files (individually or as a zip file). Call Diagnostics: deleteRequestLogs to clear the log by deleting current entries. Private information, such as passwords and integration key information, which is normally located in the call header is omitted from the request/response log. API request logging only captures requests from the authenticated user. Any call that does not authenticate the user and resolve a userId is not logged.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'https://www.docusign.com/v2.1/diagnostics/settings' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://www.docusign.com/v2.1/diagnostics/settingsEnables or disables API request logging for troubleshooting. When enabled (`apiRequestLogging` is **true**), REST API requests and responses for the user are added to a log. A log can have up to 50 requests/responses and the current number of log entries can be determined by getting the settings. Logging is automatically disabled when the log limit of 50 is reached. You can call Diagnostics: getRequestLog or Diagnostics: listRequestLogs to download the log files (individually or as a zip file). Call Diagnostics: deleteRequestLogs to clear the log by deleting current entries. Private information, such as passwords and integration key information, which is normally located in the call header is omitted from the request/response log. API request logging only captures requests from the authenticated user. Any call that does not authenticate the user and resolve a userId is not logged.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'https://www.docusign.com/v2.1/diagnostics/settings' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}